Bug 1314772 - changes made by CLI
changes made by CLI
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: Nishanth Thomas
Martin Kudlej
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 07:45 EST by Lubos Trilety
Modified: 2018-02-15 10:05 EST (History)
2 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2016-03-04 07:45:28 EST
Description of problem:
An object which is created by CLI is not shown on UI. Similar for changes and deletion. Objects changed/deleted by CLI remains same on UI.

Version-Release number of selected component (if applicable):
rhscon-ui-0.0.19-1.el7.noarch
rhscon-ceph-0.0.6-10.el7.x86_64
rhscon-core-0.0.8-9.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. create some pool and remove some existing one on UI
# rados mkpool test
# rados rmpool uipool0 uipool0 --yes-i-really-really-mean-it

2. check the pools on UI

Actual results:
There's no test pool present. uipool0 is still there.

Expected results:
The test pool will be listed and uipool0 should not be there any more.

Additional info:
Comment 3 Darshan 2016-05-13 07:33:32 EDT
This bug has been fixed as follows:

Whenever a new pool or osd is created/deleted from the CLI, calamari will emit events to USM server regarding the action. USM server will interpret this and query extra information about the new entity and add/delete it to/from DB. This in turn will be reflected in UI.
Comment 4 Martin Kudlej 2016-07-26 09:15:42 EDT
Tested with
ceph-ansible-1.0.5-31.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.36-1.el7scon.x86_64
rhscon-core-0.0.36-1.el7scon.x86_64
rhscon-core-selinux-0.0.36-1.el7scon.noarch
rhscon-ui-0.0.50-1.el7scon.noarch
and it works.

Note You need to log in before you can comment on or make changes to this bug.